# GeographicProjection

#### new Cesium.GeographicProjection(ellipsoid)
Core/GeographicProjection.js 21

A simple map projection where longitude and latitude are linearly mapped to X and Y by multiplying them by the `Ellipsoid#maximumRadius`. This projection is commonly known as geographic, equirectangular, equidistant cylindrical, or plate carrée. It is also known as EPSG:4326.

Name | Type | Default | Description
--- | --- | --- | ---
`ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional The ellipsoid.

##### See:

- WebMercatorProjection

### Members

#### readonly ellipsoid : Ellipsoid
Core/GeographicProjection.js 36

Gets the `Ellipsoid`.

### Methods

#### isGeographic() → Boolean
Core/GeographicProjection.js 110

表示该对象是经纬度坐标系

##### Returns:

是经纬度坐标系

#### project(cartographic, result) → Cartesian3
Core/GeographicProjection.js 55

Projects a set of `Cartographic` coordinates, in radians, to map coordinates, in meters. X and Y are the longitude and latitude, respectively, multiplied by the maximum radius of the ellipsoid. Z is the unmodified height.

Name | Type | Description
--- | --- | ---
`cartographic` | Cartographic | The coordinates to project.
`result` | Cartesian3 | optional An instance into which to copy the result. If this parameter is undefined, a new instance is created and returned.

##### Returns:

The projected coordinates. If the result parameter is not undefined, the coordinates are copied there and that instance is returned. Otherwise, a new instance is created and returned.

#### unproject(cartesian, result) → Cartographic
Core/GeographicProjection.js 84

Unprojects a set of projected `Cartesian3` coordinates, in meters, to `Cartographic` coordinates, in radians. Longitude and Latitude are the X and Y coordinates, respectively, divided by the maximum radius of the ellipsoid. Height is the unmodified Z coordinate.

Name | Type | Description
--- | --- | ---
`cartesian` | Cartesian3 | The Cartesian position to unproject with height (z) in meters.
`result` | Cartographic | optional An instance into which to copy the result. If this parameter is undefined, a new instance is created and returned.

##### Returns:

The unprojected coordinates. If the result parameter is not undefined, the coordinates are copied there and that instance is returned. Otherwise, a new instance is created and returned.